MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032453Community[OCCT] OCCT:Documentationpublic2021-06-17 18:272021-06-19 13:04
Reporterjensgw 
Assigned Tobugmaster 
PrioritynormalSeveritytweak 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032453: Documentation - nested multiline comments within BOPAlgo_CellsBuilder.hxx destroy Java wrapping
DescriptionThe file BOPAlgo_CellsBuilder.hxx contains comments of this format:
//! /* some string */
This confuses the SWIG wrapper generator.
All these comments must be replaced with:
//! //some string
Steps To ReproduceCompile OCC
Add BOPAlgo_CellsBuilder to wrapper
Generate wrapper
Generate buildjar -> observe error
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0101903)
kgv (developer)
2021-06-17 19:22

jensgw, could you please comment if so far BOPAlgo_CellsBuilder.hxx is the only found place with this issue?
(0101906)
git (administrator)
2021-06-17 20:10

Branch CR32453 has been created by kgv.

SHA-1: 65d67b3894cdf9e52b02b2c2dfe8dc45af285d1e


Detailed log of new commits:

Author: kgv
Date: Thu Jun 17 20:11:09 2021 +0300

    0032453: Documentation - nested multiline comments within BOPAlgo_CellsBuilder.hxx destroy Java wrapping
(0101907)
kgv (developer)
2021-06-17 20:25

jensgw, please comment if CR32453 solves your problem.
(0101935)
bugmaster (administrator)
2021-06-19 11:26

Combination -
OCCT branch : IR-2021-06-18
master SHA - 4db6d89bc6d71c5bc627acde17c27dbbba52bae3
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-06-18 SHA - eca8d7ed97b918b2f5ea5d9d6e54f6ca4db4e9df
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17401.600000000442 / 17450.34000000035 [-0.28%]
Products
Total CPU difference: 11508.180000000091 / 11477.640000000127 [+0.27%]
Windows-64-VC14:
OCCT
Total CPU difference: 19191.265625 / 19269.40625 [-0.41%]
Products
Total CPU difference: 12883.6875 / 12905.015625 [-0.17%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0101943)
jensgw (reporter)
2021-06-19 13:04

A grep over the source did not produce any other files with this kind of comment style.

Yes, thank you CR32453 solves the issue.

- Related Changesets
occt: master 690757a3
Timestamp: 2021-06-17 17:11:09
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032453: Documentation - nested multiline comments within BOPAlgo_CellsBuilder.hxx destroy Java wrapping
mod - src/BOPAlgo/BOPAlgo_CellsBuilder.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-06-17 18:27 jensgw New Issue
2021-06-17 18:27 jensgw Assigned To => msv
2021-06-17 19:20 kgv Assigned To msv => kgv
2021-06-17 19:20 kgv Category OCCT:Modeling Algorithms => OCCT:Documentation
2021-06-17 19:20 kgv Target Version => 7.6.0*
2021-06-17 19:20 kgv Summary Nested multiline comments destroy java wrapping => Documentation - nested multiline comments destroy Java wrapping
2021-06-17 19:22 kgv Note Added: 0101903
2021-06-17 20:10 kgv Summary Documentation - nested multiline comments destroy Java wrapping => Documentation - nested multiline comments within BOPAlgo_CellsBuilder.hxx destroy Java wrapping
2021-06-17 20:10 git Note Added: 0101906
2021-06-17 20:25 kgv Note Added: 0101907
2021-06-17 20:26 kgv Assigned To kgv => bugmaster
2021-06-17 20:26 kgv Status new => resolved
2021-06-17 20:26 kgv Status resolved => reviewed
2021-06-17 20:43 kgv Relationship added child of 0026798
2021-06-17 20:44 kgv Severity minor => trivial
2021-06-17 20:44 kgv Product Version 7.5.0 => 7.0.0
2021-06-17 20:44 kgv Severity trivial => tweak
2021-06-19 11:26 bugmaster Note Added: 0101935
2021-06-19 11:26 bugmaster Status reviewed => tested
2021-06-19 11:31 bugmaster Test case number => Not required
2021-06-19 11:37 bugmaster Changeset attached => occt master 690757a3
2021-06-19 11:37 bugmaster Status tested => verified
2021-06-19 11:37 bugmaster Resolution open => fixed
2021-06-19 13:04 jensgw Note Added: 0101943


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker